%global major		0
%global libname		%mklibname %{name} %{major}
%global develname	%mklibname %{name} -d

Name:		xxhash
Version:	0.8.3
Release:	%mkrel 2
Summary:	Extremely fast hash algorithm
Group:		Development/C

#		The source for the library (xxhash.c and xxhash.h) is BSD
#		The source for the command line tool (xxhsum.c) is GPLv2+
License:	BSD and GPLv2+
URL:		https://www.xxhash.com/
Source0:	https://github.com/Cyan4973/xxHash/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc

%description
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %libname
Summary:	Extremely fast hash algorithm - library
License:	BSD

%description -n %libname
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %develname
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Development files for the xxhash library.

%prep
%setup -q -n xxHash-%{version}

%build
# Enable runtime detection of sse2/avx2/avx512 on intel architectures
%ifarch %{ix86} x86_64
%global dispatch 1
# Some distribution variants build with -march=x86-64-v3.
# See xxh_x86dispatch.c.
%global moreflags_dispatch -DXXH_X86DISPATCH_ALLOW_AVX
%else
%global dispatch 0
%global moreflags_dispatch %{nil}
%endif

%set_build_flags
%make_build MOREFLAGS="%{__global_cflags} %{?__global_ldflags} %{moreflags_dispatch}" \
            LIBXXH_DISPATCH=%{dispatch}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} LIBXXH_DISPATCH=%{dispatch}

rm %{buildroot}%{_libdir}/libxxhash.a

%check
make check
make test-xxhsum-c

%files
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*
%license LICENSE
%doc README.md

%files -n %libname
%{_libdir}/libxxhash.so.%{major}{,.*}
%license LICENSE
%doc README.md

%files -n %develname
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%if 0%{?dispatch}
%{_includedir}/xxh_x86dispatch.h
%endif
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.8.3-2.mga10
+ Revision: 2233277
- Mageia 10 Mass Rebuild

* Mon Dec 30 2024 daviddavid <daviddavid> 0.8.3-1.mga10
+ Revision: 2131880
- new version: 0.8.3

* Thu Oct 03 2024 daviddavid <daviddavid> 0.8.2-3.mga10
+ Revision: 2102987
- package xxh_x86dispatch.h when dispatching is enabled (rhbz#2314193)
  * adds the header file xxh_x86dispatch.h to the devel package to allow the
    user to consume the dispatch-support that is already present in the
    library.

* Sat Apr 06 2024 wally <wally> 0.8.2-2.mga10
+ Revision: 2055203
- basesystem rebuild for i686

* Wed Sep 20 2023 daviddavid <daviddavid> 0.8.2-1.mga10
+ Revision: 1988497
- new version: 0.8.2

* Sun Jun 19 2022 wally <wally> 0.8.1-1.mga9
+ Revision: 1865124
- new version 0.8.1

* Tue Mar 15 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1792882
- Mageia 9 Mass Rebuild

* Fri Jul 31 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1609945
- new version: 0.8.0

* Sat Jun 27 2020 daviddavid <daviddavid> 0.7.4-1.mga8
+ Revision: 1599448
- New version 0.7.4

* Fri Mar 20 2020 shlomif <shlomif> 0.7.3-1.mga8
+ Revision: 1558318
- New version 0.7.3

* Tue Feb 18 2020 umeabot <umeabot> 0.7.2-2.mga8
+ Revision: 1539627
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- build with our %%ldflags

* Mon Dec 09 2019 shlomif <shlomif> 0.7.2-1.mga8
+ Revision: 1465437
- New version 0.7.2

* Tue Sep 03 2019 shlomif <shlomif> 0.7.1-1.mga8
+ Revision: 1436827
- New version 0.7.1

* Sun May 12 2019 akien <akien> 0.7.0-2.mga7
+ Revision: 1397364
- Add %%name-devel virtual provides to dev lib

* Wed May 08 2019 shlomif <shlomif> 0.7.0-1.mga7
+ Revision: 1396793
- requires fix
- import from fedora


* Mon Mar 18 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 0.7.0-1
- Update to version 0.7.0

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 19 2018 Mattias Ellert <mattias.ellert@physics.uu.se> - 0.6.5-1
- Update to version 0.6.5

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Mattias Ellert <mattias.ellert@physics.uu.se> - 0.6.4-1
- Update to version 0.6.4
- Drop previously backported patches

* Thu Oct 19 2017 Mattias Ellert <mattias.ellert@physics.uu.se> - 0.6.3-2
- Correct License tag (command line tool is GPLv2+)
- Adjust Source tag to get a more descriptive tarfile name

* Wed Oct 18 2017 Mattias Ellert <mattias.ellert@physics.uu.se> - 0.6.3-1
- Initial packaging
